List Raw Data
curl --request GET \
--url https://api.example.com/admin/v1/raw-dataimport requests
url = "https://api.example.com/admin/v1/raw-data"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/admin/v1/raw-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/v1/raw-data"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"items": [
{
"rawDataId": "<string>",
"userId": "<string>",
"agentId": "<string>",
"memoryId": "<string>",
"type": "<string>",
"sourceClient": "<string>",
"contentId": "<string>",
"segment": {},
"caption": "<string>",
"captionVectorId": "<string>",
"metadata": {},
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"page": 123,
"pageSize": 123,
"totalItems": 123,
"totalPages": 123,
"hasPrevious": true,
"hasNext": true
}
}
}Raw Data
List Raw Data
GET
/
admin
/
v1
/
raw-data
List Raw Data
curl --request GET \
--url https://api.example.com/admin/v1/raw-dataimport requests
url = "https://api.example.com/admin/v1/raw-data"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/admin/v1/raw-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/v1/raw-data"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"items": [
{
"rawDataId": "<string>",
"userId": "<string>",
"agentId": "<string>",
"memoryId": "<string>",
"type": "<string>",
"sourceClient": "<string>",
"contentId": "<string>",
"segment": {},
"caption": "<string>",
"captionVectorId": "<string>",
"metadata": {},
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"page": {
"page": 123,
"pageSize": 123,
"totalItems": 123,
"totalPages": 123,
"hasPrevious": true,
"hasNext": true
}
}
}The API Reference is under active development. Request and response schemas may change before a stable release.

